- Qt 5.5
- Qt3D Module
- C++ Classes
- Quick3DEntity
- Qt 5.5.1 Reference Documentation

# Quick3DEntity Class

(Qt3D::Quick::Quick3DEntity)

Inherits: |

- List of all members, including inherited members

## Properties

- components : const QQmlListProperty<Qt3D::QComponent>

## Public Functions

| Quick3DEntity(QObject * parent = 0)
QQmlListProperty<Qt3D::QComponent> | componentList()
QEntity * | parentEntity() const

## Property Documentation

### components : const QQmlListProperty<Qt3D::QComponent>

Access functions:

QQmlListProperty<Qt3D::QComponent> | componentList()

## Member Function Documentation

### Quick3DEntity::Quick3DEntity(QObject * parent = 0)

### QEntity * Quick3DEntity::parentEntity() const